#!/usr/bin/env python
# -*- coding: UTF-8 -*-

import pygtk
pygtk.require('2.0')
import gtk

class Test:
	ui = '''<ui>
	<menubar name="MenuBar">
		<menu action="기본">
			<menuitem action="Quit"/>
		</menu>
		<menu action="포트제어">
			<menuitem action="Re-Sync"/>
		</menu>
		<menu action="도움">
			<menuitem action="Help"/>
			<menuitem action="Credit"/>
		</menu>
	</menubar>
	<toolbar name="Toolbar">
		<toolitem action="Search"/>
		<separator/>
		<toolitem action="Quit"/>
	</toolbar>
	</ui>'''
	
	def __init__(self):
		w = gtk.Window()
		w.connect('destroy', lambda w: gtk.main_quit())
		w.set_size_request(800, 670)
		vbox = gtk.VBox()
		w.add(vbox)

		ui = gtk.UIManager()
		acc = ui.get_accel_group()
		w.add_accel_group(acc)

		act = gtk.ActionGroup('UIManagerExample')
		self.act = act

		act.add_actions([('기본', None, '기본(_D)'), ('Quit', gtk.STOCK_QUIT, '종료', None, None, self.quit_cb), ('포트제어', None, '포트제어(_C)'), ('Help', gtk.STOCK_HELP, '도움말'), ('도움', None, '도움(_H)'), ('Re-Sync', None, 'Re-Sync(_R)'), ('Search', gtk.STOCK_FIND, '검색(_S)'), ('Credit', None, '도움주신 분들')])
		ui.insert_action_group(act, 0)
		ui.add_ui_from_string(self.ui)

		menubar = ui.get_widget('/MenuBar')
		vbox.pack_start(menubar, False)
		toolbar = ui.get_widget("/Toolbar")
		vbox.pack_start(toolbar, False)

#		label = gtk.Label("EZport 0.1 위젯입니다. ^^")
#		vbox.pack_start(label, False)

#		txt = gtk.TextView()
#		vbox.pack_start(txt, True)	
		w.show_all()
		return
	
	def quit_cb(self, b):
            gtk.main_quit()
            return False
	
	def search(self):
		pass
	
	def sync(self):
		pass
	
	def update(self):
		pass

if __name__ == "__main__":
	ba = Test()
	gtk.main()
		
		
